{% extends "base.html" %}

{% block style %}
  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'users/dist/css/main.css' %}">
{% endblock %}

{% block title %}Connexion{% endblock %}

{% block content %}
  {% if form.errors %}
  <div class="alert" role="alert">
    <div class="alert-body">
      <div class="icon"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M2.93 17.07A10 10 0 1 1 17.07 2.93 10 10 0 0 1 2.93 17.07zm12.73-1.41A8 8 0 1 0 4.34 4.34a8 8 0 0 0 11.32 11.32zM9 11V9h2v6H9v-4zm0-6h2v2H9V5z"/></svg></div>
      <div>
        <p class="alert-title">Saisissez un nom d'utilisateur et un mot de passe valides.</p>
        <p class="alert-text">Remarquez que chacun de ces champs est sensible à la casse (différenciation des majuscules/minuscules).</p>
      </div>
    </div>
  </div>
  {% endif %}
  <div class="card-form">
    <form method="post" action="{% url 'users:signup' %}">
      {% csrf_token %}
      <div>
        {{ form.username.label_tag }}
        {{ form.username }}
        {{ form.username.errors }}
      </div>
      <div>
        {{ form.password1.label_tag }}
        {{ form.password1 }}
        {{ form.password1.errors }}

      </div>
      <div>
        {{ form.password2.label_tag }}
        {{ form.password2 }}
        {{ form.password2.errors }}
      </div>

      <button type="submit">S'inscrire</button>
      <input type="hidden" name="next" value="{{ next }}">

    </form>
  </div>
{% endblock %}
